## EMailSignatureEditor

EMailSignatureEditor

## Functions

GtkWidget * | e_mail_signature_editor_new ()
EFocusTracker * | e_mail_signature_editor_get_focus_tracker ()
ESourceRegistry * | e_mail_signature_editor_get_registry ()
ESource * | e_mail_signature_editor_get_source ()
void | e_mail_signature_editor_commit ()
gboolean | e_mail_signature_editor_commit_finish ()

## Types and Values

struct | EMailSignatureEditor

## Description

## Functions

### e_mail_signature_editor_new ()

    GtkWidget *
    e_mail_signature_editor_new (ESourceRegistry *registry,
                                 ESource *source);

### e_mail_signature_editor_get_focus_tracker ()

    EFocusTracker *
    e_mail_signature_editor_get_focus_tracker
                                   (EMailSignatureEditor *editor);

### e_mail_signature_editor_get_registry ()

    ESourceRegistry *
    e_mail_signature_editor_get_registry (EMailSignatureEditor *editor);

### e_mail_signature_editor_get_source ()

    ESource *
    e_mail_signature_editor_get_source (EMailSignatureEditor *editor);

### e_mail_signature_editor_commit ()

    void
    e_mail_signature_editor_commit (EMailSignatureEditor *editor,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### e_mail_signature_editor_commit_finish ()

    gboolean
    e_mail_signature_editor_commit_finish (EMailSignatureEditor *editor,
                                           GAsyncResult *result,
                                           GError **error);

## Types and Values

### struct EMailSignatureEditor

    struct EMailSignatureEditor {
    	GtkhtmlEditor parent;
    	EMailSignatureEditorPrivate *priv;
    };